< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package githubclient
  Definition Classes
    hmrc
- APIRateLimitExceededException
- DefaultGithubClientMetrics
- ExtendedContentsService
- ExtendedGitHubClient
- ExtendedTeamService
- GhOrganisation
- GhRepoRelease
- GhRepoTag
- GhRepository
- GhTeam
- GitApiConfig
- GithubApiClient
- GithubClientMetrics
- Hook
- HookConfig
- HookContentType
- HookEvent
- HookId
- HookName
- HookSecret
- HooksApi
- JavaDateTimeJsonFormatter
- Log
- NonEmptyString
- OrganisationName
- ReleaseService
- RepositoryName
- Url

c

uk.gov.hmrc.githubclient

# ExtendedTeamService 

###

#### class ExtendedTeamService extends TeamService

Linear Supertypes
TeamService, GitHubService, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtendedTeamService
2. TeamService
3. GitHubService
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ExtendedTeamService(client: ExtendedGitHubClient)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addMember(arg0: Int, arg1: String): Unit
   Definition Classes
     TeamService
   Annotations
     @throws( classOf[java.io.IOException] )
5.  def addRepository(id: Int, repository: IRepositoryIdProvider): Unit
   Definition Classes
     ExtendedTeamService → TeamService
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def check(arg0: String): Boolean
   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
   Annotations
     @throws( classOf[java.io.IOException] )
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  def createPageIterator[V](arg0: PagedRequest[V]): PageIterator[V]
   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
10.  def createPagedRequest[V](arg0: Int, arg1: Int): PagedRequest[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
11.  def createPagedRequest[V](): PagedRequest[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
12.  def createRequest(): GitHubRequest
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
13.  def createTeam(arg0: String, arg1: Team, arg2: List[String]): Team
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
14.  def createTeam(arg0: String, arg1: Team): Team
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
15.  def deleteTeam(arg0: Int): Unit
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
16.  def editTeam(arg0: Team): Team
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def getAll[V](arg0: PageIterator[V]): List[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )
21.  def getAll[V](arg0: PagedRequest[V]): List[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def getClient(): GitHubClient
    Definition Classes
      GitHubService
24.  def getId(arg0: IRepositoryIdProvider): String
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
25.  def getMembers(arg0: Int): List[User]
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
26.  def getRepositories(arg0: Int): List[Repository]
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
27.  def getTeam(arg0: Int): Team
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
28.  def getTeams(arg0: IRepositoryIdProvider): List[Team]
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
29.  def getTeams(arg0: String): List[Team]
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  def isMember(arg0: Int, arg1: String): Boolean
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
33.  def isTeamRepository(arg0: Int, arg1: IRepositoryIdProvider): Boolean
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def removeMember(arg0: Int, arg1: String): Unit
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
38.  def removeRepository(arg0: Int, arg1: IRepositoryIdProvider): Unit
    Definition Classes
      TeamService
    Annotations
      @throws( classOf[java.io.IOException] )
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  def verifyRepository(arg0: String, arg1: String): GitHubService
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from TeamService

### Inherited from GitHubService

### Inherited from AnyRef

### Inherited from Any

### Ungrouped